
@import "../css/style.css";


.permissions-container {
    overflow: hidden;
    transition: all 0.3s ease;
    max-height: 0;
    opacity: 0;
}

.permission-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 10px;
    border-bottom: 1px solid var(--color-border-sidebar);
}

.permission-module {
    font-weight:500;
    color:var(--color-tipografia-three-header-panel);
}

.permission-switches {
    display: flex;
    gap: 25px;
}

.perm-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}

.perm-label {
    font-size: 11px;
    font-weight: 600;
    color: #777;
    letter-spacing: 0.5px;
}


/* Rol activo */
.role-row.active-role {
    background-color:rgba(0, 139, 139, 0.219);
    border: solid 1px #0e5d63;
    border-left: 4px solid #6366f1;
    transition: all 0.3s ease;
}

.role-row.active-role td {
    font-weight: 600;
}

/* Animación suave */
.permissions-container {
    overflow: hidden;
    transition: all 0.3s ease;
    max-height: 0;
    opacity: 0;
}
